cc.Class({
    extends: cc.Component,

    properties: {
        label: {
            default: null,
            type: cc.Label
        },
        button: {
            default: null,
            type: cc.Button
        },
        // defaults, set visually when attaching this script to the Canvas
        text: 'Hello, World!'
    },

    // use this for initialization

    onLoad: function () {
        this.dataObject={name:"testDataName0",arr:["test0","data0","array0"]};
        this.label.string = this.text;
        this.saveData();
        cc.log(this.button);

    },

    // called every frame
    update: function (dt) {

    },
    saveData: function(){
        var testData={name:"testDataName",arr:["test","data","array"]};
        var e=cc.loader.getXMLHttpRequest();
        var sendData=JSON.stringify(testData);
        e.onreadystatechange=function(){
            if(4==e.readyState&&200==e.status){
                alert(e.responseText);
            }
        };
        e.open("POST","upload.php",false);
        e.setRequestHeader("Content-type","application/x-www-form-urlencoded");
        e.send(sendData);
    },
    loadData: function(){
        var e=cc.loader.getXMLHttpRequest();
        var self=this;
        e.onreadystatechange=function(){
            if(4===e.readyState&&(200===e.status||0===e.status)){
                alert(e.responseText);
                self.dataObject=JSON.parse(e.responseText);
                self._load();
            }
        };
        e.open("get","data.json",false);
        e.send(false);
    },
    _load: function () {
        this.label.string=this.dataObject.name;
        for(var i=0;i<this.dataObject.arr.length;i++){
            cc.log(this.dataObject.arr[i]);
            console.log(this.dataObject.arr[i]);
        }
    },
});